"""This tells you which parts of the database are valid for
which purpose.
In general, every file suffix has a function.
You call it with a dictionary obtained from DB.fiat,
and the function tells you whether the data is valid or not.
Note, these functions don't guarentee that the data exists.
You check, first, if it exists; then you check to see if it is valid.
"""

def data(info):
	return 1

tgs = data
tns = data
pms = data
wds = data
bgp = data
syn = data
wd1 = data
wd2 = data
utype = data
ss = data
loud = data
f0 = data
gpkv = data


def generic(info, suffix, default):
	assert not suffix.startswith('_'), "Whoops! Caught my kluge!"
	return 1


class InvalidUtterance(RuntimeError):
	def __init__(self, x):
		RuntimeError.__init__(self, x)
